pkgname=ProtoN
_tarver=obstacle-hho
pkgver=2018
pkgrel=1
#epoch=
pkgdesc="C++ library for fast Prototyping of Numerical methods"
arch=('x86_64')
url="https://github.com/wareHHOuse/${pkgname}"
license=('MPL2')
# groups=('wareHHOuse')
depends=('silo' 'lua' 'eigen' 'sol2')
makedepends=('cmake')
# checkdepends=()
# optdepends=('')
#provides=()
#conflicts=()
#replaces=()
#backup=()
#options=()
#install=
#changelog=
source=(${url}/archive/${_tarver}.tar.gz)
#noextract=()
sha512sums=('47f4a1adc05be5c0701cef35a2d405e745b43663c5d0dafd8e91e4bdd48cbfb343934f8385e930d1d86d33b1321a90d0a9739ffdf66ff814efe9989abea12fd1')
# validpgpkeys=('')

prepare() {
  sed -i 's/^#include "sol2\/sol.hpp"/#include <sol\/sol.hpp>/' ${pkgname}-${_tarver}/apps/convergence_test/convergence_test.cpp
  # sed -i 's/^#include "sol2\/sol.hpp"/#include <sol\/sol.hpp>/' ${pkgname}-${_tarver}/apps/polymesh/polymesh.cpp
}

build() {
  cmake \
    -S ${pkgname}-${_tarver} \
    -B build-cmake \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DBUILD_SHARED_LIBS=TRUE \
    -DCMAKE_CXX_STANDARD=17 \
    -DCMAKE_C_COMPILER=gcc \
    -DCMAKE_CXX_COMPILER=g++ \
    -DCMAKE_VERBOSE_MAKEFILE=ON \
    -Wno-dev
  cmake --build build-cmake --target all
}

# check() {
# cmake --build build-cmake --target build_tests
# LD_LIBRARY_PATH="$LD_LIBRARY_PATH:${srcdir}/build-cmake/lib/" ctest --verbose --output-on-failure --test-dir build-cmake
# }

package() {
  # DESTDIR="${pkgdir}" cmake --build build-cmake --target install
  # install -Dm644 ${pkgname}-${_tarver}/COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
  find "${pkgdir}" -type d -empty -delete
}
